Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.function
Interface FOperator

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FFunction, IID, org.eclipse.emf.common.notify.Notifier, SNamed

All Known Subinterfaces:
  FLogicalOperator

All Known Implementing Classes:
  FLogicalOperatorImpl, FOperatorImpl

    public interface FOperator

extends FFunction, SNamed

A representation of the model object ' FOperator'.

Author:
  Miles Parker

  The following features are supported:

  - `Symbol`
  - `Arity`
See Also:
  `MetaABMFunctionPackage.getFOperator()`

Method Summary
`int` | `getArity()` Returns the value of the 'Arity' attribute.
`java.lang.String` | `getSymbol()` Returns the value of the 'Symbol' attribute.
`void` | `setSymbol(java.lang.String value)` Sets the value of the '`Symbol`' attribute.

Methods inherited from interface org.metaabm.function.FFunction
`accepts, getAvailableTypes, getInputPrototypes, isMultiValue, setMultiValue`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSymbol

    java.lang.String getSymbol()

  Returns the value of the 'Symbol' attribute.

  If the meaning of the 'Symbol' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Symbol' attribute.
  See Also:
    `setSymbol(String)`, `MetaABMFunctionPackage.getFOperator_Symbol()`

### setSymbol

    void setSymbol(java.lang.String value)

  Sets the value of the '`Symbol`' attribute.

  Parameters:
    `value` - the new value of the 'Symbol' attribute.
  See Also:
    `getSymbol()`

### getArity

    int getArity()

  Returns the value of the 'Arity' attribute.

  If the meaning of the 'Arity' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Arity' attribute.
  See Also:
    `MetaABMFunctionPackage.getFOperator_Arity()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD